<mat-sidenav-container class="main-wrapper">
  <mat-sidenav #sidenav class="sidebar-wrapper" [mode]="'over'" position="end">
    <mat-list>
      <mat-list-item>
        <mat-icon matListIcon class="logo-icon">local_gas_station</mat-icon>
        <h2 matLine>{{ 'TITLE' | translate }}</h2>
        <p matLine class="text-gray">
          <span>{{ 'SUBTITLE' | translate }}</span>
        </p>
      </mat-list-item>
      <mat-divider></mat-divider>
      <mat-list-item>
        <button mat-stroked-button [routerLink]="['/']" (click)="sidenav.toggle()" class="side-menu-button">
          <mat-icon>house</mat-icon>
          {{ 'MENU.SIDE.HOME' | translate }}
        </button>
      </mat-list-item>
      <mat-list-item>
        <button mat-stroked-button [routerLink]="['/favoritemap']" (click)="sidenav.toggle()" class="side-menu-button">
          <mat-icon>map</mat-icon>
          {{ 'MENU.SIDE.FAVORITEMAP' | translate }}
        </button>
      </mat-list-item>
      <mat-list-item *ngIf="historyService.apiOnline">
        <button mat-stroked-button [routerLink]="['/feedback']" (click)="sidenav.toggle()" class="side-menu-button">
          <mat-icon>feedback</mat-icon>
          {{ 'MENU.SIDE.FEEDBACK' | translate }}
        </button>
      </mat-list-item>
      <mat-list-item>
        <button mat-stroked-button [routerLink]="['/disclaimer']" (click)="sidenav.toggle()" class="side-menu-button">
          <mat-icon>contact_support</mat-icon>
          {{ 'MENU.SIDE.DISCLAIMER' | translate }}
        </button>
      </mat-list-item>
    </mat-list>
  </mat-sidenav>

  <mat-sidenav-content cdkScrollable>
    <mat-toolbar class="toolbar" [ngClass]="{ 'shrink-toolbar toolbar-shrinked': shrinkToolbar }">
      <mat-list [ngClass]="{ 'shrink-logo-list': shrinkToolbar }">
        <mat-list-item class="logo-item pointer" [routerLink]="['']">
          <mat-icon matListIcon class="logo-icon text-white">local_gas_station</mat-icon>
          <h2 matLine class="text-white">{{ 'TITLE' | translate }}</h2>
          <p matLine class="text-gray subtitle" *ngIf="!shrinkToolbar">
            <span>{{ 'SUBTITLE' | translate }}</span>
          </p>
        </mat-list-item>
      </mat-list>
      <div class="spacer"></div>
      <app-search fxHide.lt-md [ngClass]="{ 'search-shrinked': shrinkToolbar }"></app-search>
      <div class="spacer"></div>

      <button mat-icon-button [matMenuTriggerFor]="menu" matTooltip="{{ 'MENU.TOP.LANGUAGE' | translate }}" class="text-white" attr.aria-label="{{ 'MENU.TOP.LANGUAGE' | translate }}">
        <mat-icon>translate</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="setLanguage('de')">{{ 'MENU.TOP.LANGUAGES.DE' | translate }}</button>
        <button mat-menu-item (click)="setLanguage('en')">{{ 'MENU.TOP.LANGUAGES.EN' | translate }}</button>
      </mat-menu>
      <div class="menu-seperator"></div>
      <button mat-button (click)="sidenav.toggle()" class="text-white"><mat-icon>menu</mat-icon></button>
      <div class="menu-seperator" *ngIf="isLoginEnabled"></div>

      <button mat-stroked-button class="text-white" *ngIf="!authService.user && isLoginEnabled" (click)="loadLogin()" fxLayoutAlign="start center">
        <span fxHide.lt-md>{{ 'MENU.TOP.AUTH.LOGIN' | translate }}</span>
        <mat-icon fxHide.gt-sm>account_circle</mat-icon>
      </button>

      <app-user-menu *ngIf="authService.user"></app-user-menu>
    </mat-toolbar>

    <div class="second-toolbar" fxHide.gt-sm>
      <app-search></app-search>
    </div>

    <div class="content-wrapper" fxLayout="column" fxLayoutGap="20px">
      <router-outlet></router-outlet>
    </div>
    <div class="corner-ribbon bottom-left sticky deeppurple shadow">&alpha; {{ version }}</div>
  </mat-sidenav-content>
</mat-sidenav-container>
